/**
* Created by Sergey O. Boyko on 08.03.19.
*/

#pragma once

#include <vector>

inline std::vector<char> _ToVector(const char str[], std::size_t size) {
  return {str, str + size};
}

#define  KeyToVector(str) _ToVector(str, sizeof(str))

const char ServerPublicKey25519[] =
    {44, -90, 9, -55, -92, 94, 93, -66, -25, -79,
     -14, 9, -46, 28, 33, -39, 100, 20, -124, 89,
     -106, 48, -126, -99, 47, 48, 38, -60, -34, 23,
     38, 7};

const char ServerPrivateKey25519[] =
    {72, -51, 62, 47, -48, 39, 15, 78, -116, 42,
     -45, -94, 57, 126, -103, 75, -116, 65, -14, -120,
     -80, 30, 39, 110, 117, -127, -42, 101, 115, 11,
     -59, 75};

const char ServerPublicKey448[] =
    {-102, 34, 109, 48, -21, 4, -75, -72, -42, 8,
     -33, 59, 67, -31, -21, -24, 5, 48, 112, 116,
     -49, -1, 74, -4, -66, -119, 35, -1, 7, 110,
     -121, -11, 32, 60, 67, -64, -110, 127, 7, 77,
     45, 9, 31, 12, 101, 9, -70, -86, 120, -77,
     31, 92, -109, 11, -92, -9};

const char ServerPrivateKey448[] =
    {36, -111, 116, -22, 85, -80, 35, 2, 32, 7,
     -72, -128, 35, 24, 44, -99, -17, -111, -6, 102,
     25, -40, 102, 70, -17, -19, -43, 98, -90, 63,
     -111, 49, -27, -117, -85, -8, 53, -92, 100, -31,
     -13, 101, 113, -26, 69, -5, -11, 12, -88, -103,
     -103, 35, -67, -37, 37, -21};

const char ClientPublicKey25519[] =
    {70, 3, 94, -73, 33, -126, -102, 104, 96, 29,
     24, -119, 4, -52, -94, 39, -18, -66, 22, 26,
     10, -67, 90, 100, 90, 45, -122, 23, 125, 34,
     62, 65};

const char ClientPrivateKey25519[] =
    {-24, -38, 76, 99, -48, 16, -43, -25, -42, -42,
     -3, -115, -3, 44, -65, 82, 21, -52, -108, 47,
     -21, -92, -17, -61, 75, -32, 21, 43, 126, 104,
     84, 101};

const char ClientPublicKey448[] =
    {87, -30, 100, 75, -29, 28, -11, -53, 122, -54,
     -36, -69, -113, -32, 71, 81, 53, -104, 8, -103,
     4, 107, 121, -8, -75, 95, 61, 110, -16, 5,
     97, 100, -106, -89, -31, -2, -8, 90, -55, -99,
     9, -47, -100, -12, 114, 19, -60, -81, -42, -128,
     -85, -107, 118, -34, -68, 35};

const char ClientPrivateKey448[] =
    {80, 50, 105, -77, 106, 106, -36, 70, 7, -12,
     46, -77, 31, 45, -100, -22, -91, 0, -56, -85,
     92, -54, 21, -34, -62, 68, 113, 42, -9, -21,
     0, -26, 25, -110, 109, 8, 99, -109, -6, -106,
     -86, -11, -10, -25, 27, 83, -105, -89, -21, -36,
     26, -115, 2, -9, 107, -39};
